// Copyright (C) 2011 Helmut Hirtes
// This file is a free extension of the "Irrlicht Engine".
// For conditions of distribution and use, see copyright notice in irrlicht.h

#ifndef __C_GUI_FRAME_H_INCLUDED__
#define __C_GUI_FRAME_H_INCLUDED__

#include "IrrCompileConfig.h"
#ifdef _IRR_COMPILE_WITH_GUI_

#include "IGUIFrame.h"

namespace irr
{
namespace gui
{

	class CGUIFrame : public IGUIFrame
	{
	public:

		//! constructor
    CGUIFrame(IGUIEnvironment* environment, IGUIElement* parent, core::rect<s32> rectangle, bool frame=true, s32 id=-1);

    //! Gets the radio index.
    virtual s32 getIndex() const;

    //! Sets the radio index.
    virtual void setIndex(s32 index);

		//! called if an event happened.
		virtual bool OnEvent(const SEvent& event);

		//! draws the element and its children
		virtual void draw();

		//! Writes attributes of the element.
		virtual void serializeAttributes(io::IAttributes* out, io::SAttributeReadWriteOptions* options) const;

		//! Reads attributes of the element
		virtual void deserializeAttributes(io::IAttributes* in, io::SAttributeReadWriteOptions* options);

	protected:

		bool HasFrame;
		s32 Index;

    //! Find the index of the given radio button.
    s32 findIndex(IGUIElement* radio_button) const;

	};

} // end namespace gui
} // end namespace irr

#endif // _IRR_COMPILE_WITH_GUI_

#endif

