// Copyright (C) 2011 Helmut Hirtes
// This file is a free extension of the "Irrlicht Engine".
// For conditions of distribution and use, see copyright notice in irrlicht.h

#ifndef __I_GUI_FRAME_H_INCLUDED__
#define __I_GUI_FRAME_H_INCLUDED__

#include "IGUIElement.h"

namespace irr
{
namespace gui
{

class IGUIEnvironment;

//! A frame.
class IGUIFrame : public IGUIElement
{
public:

	//! Constructor
	// ### TBD: Set EGUIET_ELEMENT to new enum EGUIET_FRAME.
	IGUIFrame(IGUIEnvironment* environment, IGUIElement* parent, core::rect<s32> rectangle, s32 id=-1)
		: IGUIElement(EGUIET_ELEMENT, environment, parent, id, rectangle) {}

  //! Gets the radio index.
  virtual s32 getIndex() const = 0;

  //! Sets the radio index.
  virtual void setIndex(s32 index) = 0;

};


} // end namespace gui
} // end namespace irr

#endif

